#
# kihon4.rb
#   $Id: kihon4.rb,v 1.2 2000/11/18 19:03:32 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 9
X1 = 0.1
XC = 0.5
X2 = 0.9

y = NArray.sfloat(NMAX)

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

#-- line ----
for n in 0..NMAX-1
  y[n] = 0.1*(9-n)
  sglnv(X1, y[n], X2, y[n])
end

sglnv(XC, 0.05, XC, 0.95)

#-- default ----
sgtxv(XC, y[0], 'SGTXV')

#-- text line index ----
sgstxi(3)
sgtxv(XC, y[1], 'INDEX3')

sgstxi(5)
sgtxv(XC, y[2], 'INDEX5')

sgstxi(1)

#-- text size ----
sgstxs(0.03)
sgtxv(XC, y[3], 'SMALL')

sgstxs(0.07)
sgtxv(XC, y[4], 'LARGE')

sgstxs(0.05)

#-- text centering option ----
sgstxc(-1)
sgtxv(XC, y[5], 'LEFT')

sgstxc(1)
sgtxv(XC, y[6], 'RIGHT')

sgstxc(0)

#-- text rotation ----
sgstxr(10)
sgtxv(XC, y[7], 'ROTATION+')

sgstxr(-10)
sgtxv(XC, y[8], 'ROTATION-')

sgcls

