#
# uspk01.rb
#
# $Id: uspk01.rb,v 1.1 2000/11/22 14:36:02 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


N = 400
x = NArray.sfloat(N)
y = NArray.sfloat(N)

#---------------------------- DATA DEFINITION --------------------------
dt = 3.14159 / (N-1)
a = 1.0e5
b = 1.0e-4
c = 1.0

for i in 0..N-1
  t = dt*i
  x[i] = a*sin(6.0*t)
  y[i] = b*cos(14.0*t) + c
end

#----------------------------- GRAPH -----------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm
usgrph(N, x, y)
grcls

#-----------------------------------------------------------------------

